include(`macros.m4')
<HTML>
<HEAD>
<TITLE>"The Next Level" Desktop Configuration, Window Operations</TITLE>
</HEAD>
<BODY>
TOC_HEADING
<H2><A NAME="winopsmenu">Window Operations Submenu gif_CS F2</A></H2>

<IMG SRC="gif/winops-menu.gif" ALT="Diagram of Window Operations Menu">

<HR>
<H2><A NAME="windowops">Window operations</A></H2>

<H3>Features</H3>
<UL>
  <LI> No more aiming at tiny handles
  <LI> Keystrokes for all important operations
</UL>

There are several ways to perform window operations:
<UL>
  <LI> CS-F1 over a window
  <LI> Mouse-Left click over the window title's system button, for a <A HREF="#win-basic-ops-menu">basic operations menu</A>
  <LI> Right-side title decorations
  <LI> From the <A HREF="#rootmenu">Root Menu</A> <A HREF="#winopsmenu">Window Operations sub-menu</A>
  <LI> Specific keyboard/mouse <A HREF="#winops-shortcuts">shortcuts</A> over a window
</UL>

See the <A HREF="#winopsmenu">window operations submenu</A> for
information about what the special operations listed below do.

<H3><A NAME="winops-shortcuts">Window Operations Key and Mouse Bindings</A></H3>

<CENTER>
<TABLE BORDER>
<CAPTION ALIGN="top">Window Operations</CAPTION>
BINDING_HEADING_ROW
<TR> <TD> gif_CS F1 </TD> <TD> <A HREF="#winopsmenu">Window operations submenu</A> </TD> </TR>
<TR> <TD> gif_CA RETURN </TD> <TD> Raise or lower window </TD> </TR>
<TR> <TD> gif_CS gif_UpArrow </TD> <TD> Maximize/Unmaximize vertically </TD> </TR>
<TR> <TD> gif_CS gif_RightArrow  </TD> <TD> Maximize/Unmaximize horizontally </TD> </TR>
<TR> <TD> gif_CS gif_DownArrow  </TD> <TD> Iconize/Hide </TD> </TR>
<TR> <TD> gif_CS F7  </TD> <TD> Move </TD> </TR>
<TR> <TD> gif_CS F8  </TD> <TD> Resize </TD> </TR>
<TR> <TD> gif_CSAs (CSA-s) </TD> <TD> Raise &amp; stick/unstick window </TD> </TR>
<TR> <TD> gif_CSA R (CSA-s) </TD> <TD> Refresh windows </TD> </TR>
<TR> <TD> gif_CS F2 </TD> <TD> Window list </TD> </TR>
<TR> <TD> gif_A ESCAPE </TD> <TD> Window list </TD> </TR>
<TR> <TD> gif_Mouse2 on Root </TD> <TD> Window list </TD> </TR>
<TR> <TD> gif_CS RETURN </TD> <TD> Icon/Window list (see <A HREF="#fvwmpatch">fvwmpatch</A>) </TD> </TR>
<TR> <TD> gif_CA RETURN </TD> <TD> Raise/Lower </TD> </TR>
<TR> <TD> gif_CSA gif_Mouse1  </TD> <TD> Raise/Lower </TD> </TR>
<TR> <TD> gif_CSA gif_Mouse2  </TD> <TD> Move and raise </TD> </TR>
<TR> <TD> gif_CSA gif_Mouse3  </TD> <TD> Resize and raise </TD> </TR>
</TABLE>
</CENTER>
<P>
See these <A HREF="#examples">examples</A> on how to move a window around your virtual desktop.

<HR>

<H2><A NAME="windowdecorations">Window Decorations</A></H2>

<IMG SRC="gif/decorations.gif" ALT="Window decorations diagram here"><P>

<A NAME="win-basic-ops-menu">When you click on the system menu of any
window, you'll get a popup menu displaying some basic window operations:<BR>

<IMG SRC="gif/winops-basic.gif" ALT="Window basic operations popup here"></A>

<HR>
<H3><A NAME="examples">Examples</A></H3>

There are several good ways to move a window around on your virtual desktop:

<UL>
  <LI> Use gif_CSA S to stick the window, then gif_CSA gif_Arrows to move to
       a new desktop, and finally gif_CSA S to unstick the window.
  <LI> Use gif_CS gif_DownArrow to iconize/hide the window, the gif_CSA
       gif_Arrows to move to a new desktop, and finally gif_CS ENTER to bring
       up an icon list (if you've installed my <A HREF="#fvwmpatch">patch to
       fvwm</A>, a window list otherwise) and select the window you're moving
       to unhide/deiconify it.
  <LI> Using the pager in the bottom right of the screen, point the window you
       want to move, depress gif_Mouse2, and drag within the pager to where
       you want the window
  <LI> Use gif_CSA gif_Mouse2 to grab the window, and just keep moving it
       off the edge of a screen, changing virtual windows as you go.
</UL>

ADDRESS_FOOTER

</BODY>
</HTML>
